"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = exports.runInitializers = void 0;
const debug_1 = require("./debug");
const globalInitializers = [];
const runInitializers = async () => {
    debug_1.log.debug(`[INIT] Running ${globalInitializers.length} initializer`);
    return Promise.all(globalInitializers.map((initializer) => initializer()));
};
exports.runInitializers = runInitializers;
const init = (initializer) => {
    debug_1.log.debug('[INIT] Adding initializer', initializer.name);
    globalInitializers.push(initializer);
};
exports.init = init;
//# sourceMappingURL=init.js.map